Subject: Re: bug#24057: 25.1.50; ffap interprets comments beginning with "//" as file path

From: Kaushal Modi <[email-masked]>
Date: Sat, 18 Mar 2017 01:28:46 +0000

On Fri, Mar 17, 2017 at 7:29 PM <[email-masked]> wrote:

>
> Oh, then I don't understand why you separated that sentence into its own
> paragraph, it seemed like a continuation of the same idea.  (In general,
> paragraphs should go before the ChangeLog entries, because that format
> doesn't allow for multiple paragraphs in the same entry (AFAIK)).
>

It's alright. I have kept the whole thing as a single paragraph.

> > characters (especially for major modes that have '//' as comment start
> > characters). Otherwise, in a major mode like c-mode, with `ido-mode'
>              ^^^
>
> There should be double space between sentences though.
>

The attached patch has this fixed.

Btw if you don't mind explaining:
- How did you detect that minor missing space? Do you have a minor mode? Or
do you have a check function?
- Being used to using single spaces at end of sentences, I always forget
adding double spaces. Is there a robust way to ensure that sentences always
end in double spaces in commit messages and in the docstrings?

> >
> > Thanks! I did not know about parse-partial-sexp. Here too, I need to
> retain
> > the save-excursion, else the point will move after the comment start
> chars
> > if it is at the BOL in c-mode on a line like
>
> Oops, right.  (I would consider just putting a single save-excursion
> around the 'when', but it doesn't hugely matter either way (and Drew
> would probably not like the single save-excursion version ;) [1]).)
>
> [1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25777#38

It did actually occur to merge the two save-excursions, but for code
clarity, I kept them separate. I did not want to merge the save-excursion
in the "condition" part with the "action" part in

    (when (condition)
      action)

 The attached patch has the double space fixed in the commit message.

Thanks.
-- 

Kaushal Modi